#
# Copyright (c) 2015 Sam4Mobile
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

config = node['dhcp-wrapper']['network-interface']

if config.nil? || config.empty?
  Chef::Log.warn "network-interface attribute is empty!"
  config = []
end

config.each do |dev|
  devname = dev['device']
  resource = Chef::Resource::NetworkInterface::Rhel.new(
    devname, run_context
  )
  resource.cookbook_name= cookbook_name
  resource.recipe_name= recipe_name

  dev.each do |name, value|
    resource.send(name, value)
  end
  package 'initscripts' if resource.reload

  action = dev['action']
  action = :create if action.nil?
  ruby_block "run network_interface on #{devname}" do
    block do
      resource.run_action action
    end
  end
end
